Create a derived version
POST
/v1/datasets/{datasetId}/versions/{versionId}/derived-versionscurl -X POST 'https://api.embodiflow.io/v1/datasets/{datasetId}/versions/{versionId}/derived-versions' \
-H 'Authorization: Bearer $EMBODIFLOW_PAT' \
-H 'Content-Type: application/json' \
-d '{
"steps": [
{
"code": "convert-to-mcap",
"name": "string",
"enabled": false,
"summary": "string",
"params": {},
"internalOnly": false,
"outputSourceType": "string"
}
],
"outputSourceType": "string",
"versionName": "string",
"description": "string"
}'认证
每个请求都需要携带个人访问令牌(PAT)。
- Authorization: Bearer PAT
路径参数
- datasetIdstring必填
- versionIdstring必填
请求头参数
- Idempotency-Keystring
Optional idempotency key, at most 255 characters (UUIDv4 recommended). A repeated key returns the first response byte-for-byte, including a 5xx. The same key with a different body, or a second in-flight request, returns 409 IDEMPOTENCY_CONFLICT. Keys are unique per tenant and retained for 24 hours.
请求体
Content-Typeapplication/json
- stepsarray<RosCleaningStepDto>必填
- codestring必填可选值convert-to-mcapresample-topicinterpolate-topicfilter-topicrename-topictrim-time-rangealign-topics
- namestring必填
- enabledone of必填
- summarystring必填
- paramsobject | null
- internalOnlyone of
- outputSourceTypestring | null
- outputSourceTypestring
- versionNamestring | null
- descriptionstring | null
响应
Success
- dataobject必填
- datasetIdstring必填
- sourceDatasetVersionIdstring必填
- derivedDatasetVersionIdstring必填
- outputSourceTypestring必填
- artifactIdstring | null必填
- recipeobject | null必填
响应示例
{
"data": {
"datasetId": "string",
"sourceDatasetVersionId": "string",
"derivedDatasetVersionId": "string",
"outputSourceType": "string",
"artifactId": "string",
"recipe": {}
}
}服务器https://api.embodiflow.io/v1https://api.embodiflow.dev/v1